Retrieves the equipment_family object with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
equipment_family| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| name |
Name of the equipment family |
string |
Required Max length: 50 |
| description |
Description of the equipment family |
string |
Max length: 4000 |
| code |
The Id/Ref of the back office. Used by Embedded entity |
string |
Max length: 50 |
| _parent_id |
Parent Equipment Family (Parent / Child) when adding/updating equipment_family |
globally unique identifier | |
| _parent_code |
Embedded entity "equipment_family" for parent (Parent / Child) using ERP PK when adding/updating equipment_family |
string | |
| _parent_equipment_family |
Embedded entity "equipment_family" for parent (Parent / Child) when adding/updating equipment_family |
equipment_family | |
| sales_organization_id |
FK of sales_organization. Filled if specific of one SO, empty if can be used by all |
globally unique identifier | |
| sales_organization_code |
Embedded entity "sales_organization" using ERP PK when adding/updating company_type |
string | |
| sales_organization |
Embedded entity "sales_organization" when adding/updating company_type |
sales_organization | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "eae546e0-2b1d-40af-9361-8c31927a5c9e",
"name": "sample string 2",
"description": "sample string 3",
"code": "sample string 4",
"_parent_id": "e661c8ba-a3f5-46db-aef3-6c231e0c082b",
"_parent_code": "sample string 6",
"sales_organization_id": "917f1151-5f21-4c08-9e92-b499670824ab",
"sales_organization_code": "sample string 8",
"sales_organization": {
"id": "6f8788d0-e7b0-46a6-a53c-cd3334a5ea14",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "2ac2014c-f56b-40a6-ad9c-f6bcf7a07e18",
"db_currency_id": "6b1c4555-942b-46a3-bad6-64520360ed30",
"db_language_id": "f6c29c64-b9dd-4d73-8380-35393364afc7",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-10-28T21:51:18.1907052+00:00"
},
"modified_dateutc": "2026-10-28T21:51:18.1907052+00:00"
}